Commit 112e7311 authored by Martin Pool's avatar Martin Pool

Fix sh

parent 1336e414
......@@ -112,8 +112,12 @@ makepath () {
# This will break if $1 contains a space.
for c in `echo $p | tr '/' ' '`
do
[ -d "$c" ] || mkdir "$c" || { echo "failed to create $c" >&2; return $? }
cd "$c" || return $?
if [ -d "$c" ] || mkdir "$c"
then
cd "$c" || return $?
else
echo "failed to create $c" >&2; return $?
fi
done
)
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment